# spell-checker:ignore bcond pkgversion buildrequires autosetup PYTHONPATH noarch buildroot bindir sitelib numprocesses clib
# All tests require Internet access
# to test in mock use:  --enable-network --with check
# to test in a privileged environment use:
#   --with check --with privileged_tests
%bcond_with     check
%bcond_with     privileged_tests

Name:           ansible-lint
Version:        25.6.2.dev18
Release:        1.20250708193350886890.main.18.g79bef4c5%{?dist}
Summary:        Ansible-lint checks ansible content for common mistakes

License:        GPL-3.0-or-later AND MIT
URL:            https://github.com/ansible/ansible-lint
Source0:        ansible_lint-25.6.2.dev18.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
%if %{with check}
# These are required for tests:
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-xdist
BuildRequires:  python%{python3_pkgversion}-libselinux
BuildRequires:  git-core
%endif
Requires:       git-core


%description
Ansible-lint checks ansible content for practices and behaviors that could
potentially be improved.

%prep
%autosetup -n ansible_lint-25.6.2.dev18


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ansiblelint


%check
# Don't try to import tests that import pytest which isn't available at runtime
%pyproject_check_import -e 'ansiblelint.testing*' -e 'ansiblelint.rules.conftest'
%if %{with check}
%pytest \
  -v \
  --disable-pytest-warnings \
  --numprocesses=auto \
%if %{with privileged_tests}
  tests
%else
  tests/unit
%endif
%endif


%files -f %{pyproject_files}
%{_bindir}/ansible-lint
%license COPYING docs/licenses/LICENSE.mit.txt
%doc docs/ README.md

%changelog
* Tue Jul 08 2025 Packit <hello@packit.dev> - 25.6.2.dev18-1.20250708193350886890.main.18.g79bef4c5
- chore: pre-commit autoupdate (#4680) (pre-commit-ci[bot])
- Remove patterns specific playbook meta folder (#4669) (Alison Hart)
- packit: reformat, remove deprecated syntax and try merge queue (#4639) (Matej Focko)
- Allow loading of yamllint config from a different location (#4644) (Daniel Brennand)
- Add new rule to validate pattern directory structure (#4662) (Shatakshi Mishra)
- schema: add missing subset 'systemd' to gather_subset (#4664) (Elias)
- Remove patch report from codecov (#4671) (Sorin Sbarnea)
- Bump the dependencies group in /.config with 6 updates (#4670) (dependabot[bot])
- Improve cspell configuration (#4668) (Sorin Sbarnea)
- Add play argspec schema validation to schema rule (#4667) (Alison Hart)
- Add schema check for validating pattern specification file (#4653) (Shatakshi Mishra)
- Enable testing with python 3.14 (#4637) (Sorin Sbarnea)
- Fix typos in --list-tags help text (#4661) (correctmost)
- Update test deps (#4658) (Sorin Sbarnea)
- Revert "Temporary skip tests broken by ansible-core devel regression" (#4659) (Sorin Sbarnea)
- Bump the dependencies group in /.config with 9 updates (#4657) (dependabot[bot])
- Avoid import errors from filters when running in nodeps mode (#4651) (Sorin Sbarnea)
- Temporary skip tests broken by ansible-core devel regression (#4654) (Sorin Sbarnea)
